org.apache.ignite.mxbean

## Interface TransactionsMXBean

All Known Implementing Classes:
  TransactionsMXBeanImpl

    @MXBeanDescription(value="MBean that provides access to Ignite transactions.")
    public interface TransactionsMXBean

Transactions MXBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActiveTransactions(Long minDuration, Integer minSize, String prj, String consistentIds, String xid, String lbRegex, Integer limit, String order, boolean detailed, boolean kill)`
`long` `getLongTransactionTimeDumpThreshold()` Returns threshold timeout in milliseconds for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc.)
`double` `getTransactionTimeDumpSamplesCoefficient()` Returns the coefficient for samples of completed transactions that will be dumped in log.
`int` `getTransactionTimeDumpSamplesPerSecondLimit()` Returns the limit of samples of completed transactions that will be dumped in log per second, if `getTransactionTimeDumpSamplesCoefficient()` is above `0.0`.
`boolean` `getTxOwnerDumpRequestsAllowed()` Shows if dump requests from local node to near node are allowed, when long running transaction is found.
`long` `getTxTimeoutOnPartitionMapExchange()` Gets transaction timeout on partition map exchange.
`void` `setLongTransactionTimeDumpThreshold(long threshold)` Sets threshold timeout in milliseconds for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc.)
`void` `setTransactionTimeDumpSamplesCoefficient(double coefficient)` Sets the coefficient for samples of completed transactions that will be dumped in log.
`void` `setTransactionTimeDumpSamplesPerSecondLimit(int limit)` Sets the limit of samples of completed transactions that will be dumped in log per second, if `getTransactionTimeDumpSamplesCoefficient()` is above `0.0`.
`void` `setTxOwnerDumpRequestsAllowed(boolean allowed)` Sets if dump requests from local node to near node are allowed, when long running transaction is found.
`void` `setTxTimeoutOnPartitionMapExchange(long timeout)` Sets transaction timeout on partition map exchange.

### Method Detail

#### getActiveTransactions

    @MXBeanDescription(value="Returns or kills transactions matching the filter conditions.")
     @MXBeanParametersNames(value={"minDuration","minSize","prj","consistentIds","xid","lbRegex","limit","order","detailed","kill"})
     @MXBeanParametersDescriptions(value={"Minimum duration (seconds).","Minimum size.","Projection (servers|clients).","Consistent ids (separated by comma).","Transaction XID.","Label regexp.","Limit a number of transactions collected on each node.","Order by DURATION|SIZE.","Show detailed description, otherwise only count.","Kill matching transactions (be careful)."})
    String getActiveTransactions(Long minDuration,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Integer minSize,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String prj,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String consistentIds,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String xid,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String lbRegex,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Integer limit,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String order,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             boolean detailed,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             boolean kill)

Parameters:
  `minDuration` - Minimum duration.
  `minSize` - Minimum size.
  `prj` - Projection.
  `consistentIds` - Consistent ids.
  `xid` - Xid.
  `lbRegex` - Label regex.
  `limit` - Limit.
  `order` - Order.
  `detailed` - Detailed.
  `kill` - Kill.

#### getTxTimeoutOnPartitionMapExchange

    @MXBeanDescription(value="Returns transaction timeout on partition map exchange in milliseconds.")
    long getTxTimeoutOnPartitionMapExchange()

Gets transaction timeout on partition map exchange.

Returns:
  Transaction timeout on partition map exchange in milliseconds.
See Also:
  `TransactionConfiguration.getTxTimeoutOnPartitionMapExchange()`

#### setTxTimeoutOnPartitionMapExchange

    @MXBeanDescription(value="Sets transaction timeout on partition map exchange in milliseconds.")
     @MXBeanParametersNames(value="timeout")
     @MXBeanParametersDescriptions(value="Transaction timeout on partition map exchange in milliseconds.")
    void setTxTimeoutOnPartitionMapExchange(long timeout)

Sets transaction timeout on partition map exchange.

If not set, default value is `TransactionConfiguration.TX_TIMEOUT_ON_PARTITION_MAP_EXCHANGE` which means transactions will never be rolled back on partition map exchange.

Parameters:
  `timeout` - Transaction timeout on partition map exchange in milliseconds.
See Also:
  `TransactionConfiguration.setTxTimeoutOnPartitionMapExchange(long)`

#### getTxOwnerDumpRequestsAllowed

    @MXBeanDescription(value="Shows if dump requests from local node to near node are allowed, when long running transaction  is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread.")
    boolean getTxOwnerDumpRequestsAllowed()

Shows if dump requests from local node to near node are allowed, when long running transaction is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread.

Returns:
  `true` if allowed, `false` otherwise.

#### setTxOwnerDumpRequestsAllowed

    @MXBeanDescription(value="Shows if dump requests from local node to near node are allowed, when long running transaction  is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread.")
     @MXBeanParametersNames(value="allowed")
     @MXBeanParametersDescriptions(value="whether to allow")
    void setTxOwnerDumpRequestsAllowed(boolean allowed)

Sets if dump requests from local node to near node are allowed, when long running transaction is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread.

Parameters:
  `allowed` - whether to allow

#### getLongTransactionTimeDumpThreshold

    @MXBeanDescription(value="Returns threshold timeout in milliseconds for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc.)and user time (time when client node runs some code while holding transaction). Returns 0 if not set. No transactions are dumped in log if this parameter is not set.")
    long getLongTransactionTimeDumpThreshold()

Returns threshold timeout in milliseconds for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc.) and user time (time when client node runs some code while holding transaction). Returns 0 if not set. No transactions are dumped in log if this parameter is not set.

Returns:
  Threshold.

#### setLongTransactionTimeDumpThreshold

    @MXBeanDescription(value="Sets threshold timeout in milliseconds for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc.) and user time (time when client node runs some code while holding transaction). Can be set to 0 - no transactions will be dumped in log in this case.")
     @MXBeanParametersNames(value="threshold")
     @MXBeanParametersDescriptions(value="threshold timeout")
    void setLongTransactionTimeDumpThreshold(long threshold)

Sets threshold timeout in milliseconds for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc.) and user time (time when client node runs some code while holding transaction). Can be set to 0 - no transactions will be dumped in log in this case.

Parameters:
  `threshold` - Threshold.

#### getTransactionTimeDumpSamplesCoefficient

    @MXBeanDescription(value="Returns the coefficient for samples of completed transactions that will be dumped in log.")
    double getTransactionTimeDumpSamplesCoefficient()

Returns the coefficient for samples of completed transactions that will be dumped in log.

Returns:
  Coefficient current value.

#### setTransactionTimeDumpSamplesCoefficient

    @MXBeanDescription(value="Sets the coefficient for samples of completed transactions that will be dumped in log.")
     @MXBeanParametersNames(value="coefficient")
     @MXBeanParametersDescriptions(value="Samples coefficient.")
    void setTransactionTimeDumpSamplesCoefficient(double coefficient)

Sets the coefficient for samples of completed transactions that will be dumped in log.

Parameters:
  `coefficient` - Coefficient.

#### getTransactionTimeDumpSamplesPerSecondLimit

    @MXBeanDescription(value="Returns the limit of samples of completed transactions that will be dumped in log per second, if {@link #getTransactionTimeDumpSamplesCoefficient} is above <code>0.0</code>. Must be integer value greater than <code>0</code>.")
    int getTransactionTimeDumpSamplesPerSecondLimit()

Returns the limit of samples of completed transactions that will be dumped in log per second, if `getTransactionTimeDumpSamplesCoefficient()` is above `0.0`. Must be integer value greater than `0`.

Returns:
  Limit value.

#### setTransactionTimeDumpSamplesPerSecondLimit

    @MXBeanDescription(value="Sets the limit of samples of completed transactions that will be dumped in log per second, if {@link #getTransactionTimeDumpSamplesCoefficient} is above <code>0.0</code>. Must be integer value greater than <code>0</code>.")
     @MXBeanParametersNames(value="limit")
     @MXBeanParametersDescriptions(value="Samples per second limit.")
    void setTransactionTimeDumpSamplesPerSecondLimit(int limit)

Sets the limit of samples of completed transactions that will be dumped in log per second, if `getTransactionTimeDumpSamplesCoefficient()` is above `0.0`. Must be integer value greater than `0`.

Parameters:
  `limit` - Limit value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020